$(function () {
  $('#header').affix({
    offset: {
      top: 150
    }
  });
  $('#header #main-menu').affix({
    offset: {
      top: 85
    }
  });

  $('.home #header').affix({
    offset: {
      top: 250
    }
  });

  $('.home #header #main-menu').affix({
    offset: {
      top: 85
    }
  });

  function getStars(rating) {
    // Round to nearest half
    rating = Math.round(rating * 2) / 2;
    let output = [];
    // Append all the filled whole stars
    for (var i = rating; i >= 1; i--)
      output.push('<i class="fa fa-star" aria-hidden="true" style="color: gold;"></i>&nbsp;');
    // If there is a half a star, append it
    if (i == .5) output.push('<i class="fa fa-star-half-o" aria-hidden="true" style="color: gold;"></i>&nbsp;');
    // Fill the empty stars
    for (let i = (5 - rating); i >= 1; i--)
      output.push('<i class="fa fa-star-o" aria-hidden="true" style="color: gold;"></i>&nbsp;');
    return output.join('');
  }

  if ($("#hayreviews").length) {
    $.ajax({
      type: 'GET',
      url: 'https://beoordelingen.mtmo.nl/xml/459/alles.xml', // The file path.
      dataType: 'xml',
      success: function (xml) {
        $(xml).find('review').each(function () {
          var unixtimestamp = $(this).find('datum').text();
          var dt = eval(unixtimestamp * 1000);
          var reviewDate = new Date(dt).toLocaleDateString("nl-NL");
          var stars = $(this).find('gemiddeld').text();
          // Append new data to the DIV element.
          $('#hayreviews').append(
            '<div class="hay-single-review" itemprop="review" itemscope="itemscope" itemtype="https://schema.org/Review" lang="nl">' +
            '<i class="far fa-quote-left"></i>' +
            '<div class="hay-single-review-rating" itemprop="reviewRating" itemscope="" itemtype="https://schema.org/Rating">' +
            '<meta itemprop="worstRating" content="1">' +
            '<span class="hay-single-review-rating-value" itemprop="ratingValue">' + $(this).find('gemiddeld').text() + '</span>' +
            '<meta itemprop="bestRating" content="10">' +
            '</div>' +
            '<div class="hay-single-review-text-meta">' +
            '<div class="hay-single-review-text" itemprop="reviewBody">' +
            '<span class="hay-single-review-rating-value">' + getStars(stars / 2) + '</span>' +
            '<h2 class="review__summary">' + $(this).find('zin').text() + '</h2> ' +
            '<p class="review__text">' + $(this).find('positief').text() + '</p> ' +
            '<meta itemprop="inLanguage" content="nl">' +
            '</div>' +
            '<div class="hay-single-review-recommendation">' +
            '<span>Zou je ons aanbevelen?</span>' +
            '<span class="hay-rating">' + $(this).find('aanbevelen').text() + '</span>' +
            '</div>' +
            '<div class="hay-single-review-meta">' +
            '<span class="kk-single-review-name" itemprop="author">' + $(this).find('naam').text() + '</span>' +
            '<span class="hay-single-review-meta-divider">-</span>' +
            '<span class="hay-single-review-date" itemprop="dateCreated">' + reviewDate + '</span>' +
            '</div>' +
            '</div>' +
            '<i class="far fa-quote-right"></i>' +
            '</div>'
          );
        });
      }
    });
  }

  /* Last 5 reviews */
  if ($("#hayreviewslastfive").length) {
    $.ajax({
      type: 'GET',
      url: 'https://beoordelingen.mtmo.nl/xml/459/datum-desc-5.xml',
      dataType: 'xml',
      success: function (xml) {
        $(xml).find('review').each(function () {
          var unixtimestamp = $(this).find('datum').text();
          var dt = eval(unixtimestamp * 1000);
          var reviewDate = new Date(dt).toLocaleDateString("nl-NL");
          var stars = $(this).find('gemiddeld').text();

          // Append new data to the DIV element.
          $('#hayreviewslastfive').append(
            '<div class="hay-single-review" itemprop="review" itemscope="itemscope" itemtype="https://schema.org/Review" lang="nl">' +
            '<i class="far fa-quote-left"></i>' +
            '<div class="hay-single-review-rating" itemprop="reviewRating" itemscope="" itemtype="https://schema.org/Rating">' +
            '<meta itemprop="worstRating" content="1">' +
            '<span class="hay-single-review-rating-value" itemprop="ratingValue">' + getStars(stars / 2) + '</span>' +
            '<meta itemprop="bestRating" content="10">' +
            '</div>' +
            '<div class="hay-single-review-text-meta">' +
            '<div class="hay-single-review-text" itemprop="reviewBody">' +
            '<h3 class="review__summary">' + $(this).find('zin').text() + '</h3> ' +
            '<p class="review__text">' + $(this).find('positief').text() + '</p> ' +
            '<meta itemprop="inLanguage" content="nl">' +
            '</div>' +
            '<div class="hay-single-review-meta">' +
            '<span class="hay-single-review-name" itemprop="author">' + $(this).find('naam').text() + '</span>' +
            '<span class="hay-single-review-date" itemprop="dateCreated">' + reviewDate + '</span>' +
            '</div>' +
            '</div>' +
            '<i class="far fa-quote-right"></i>' +
            '</div>'
          );
        });

        $('#hayreviewslastfive').owlCarousel({
          loop: true,
          center: true,
          margin: 0,
          nav: true,
          navText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"],
          dots: false,
          autoplay: false,
          autoplayTimeout: 5000,
          mouseDrag: true,
          autoplayHoverPause: true,
          responsive: {
            0: {
              items: 1
            },
            600: {
              items: 2
            },
            1400: {
              items: 3
            }
          }
        });
      }
    });
  }
});